# Class BasicScrollBarUI.ModelListener

java.lang.Object
javax.swing.plaf.basic.BasicScrollBarUI.ModelListener

All Implemented Interfaces:
  `EventListener, ChangeListener`

Enclosing class:
  `BasicScrollBarUI`

protected class BasicScrollBarUI.ModelListener extends Object implements ChangeListener
A listener to listen for model changes.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ModelListener()`
Constructs a `ModelListener`.

## Method Summary

Modifier and Type
Method
Description
`void`
`stateChanged(ChangeEvent e)`
Invoked when the target of the listener has changed its state.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelListener

protected ModelListener()
Constructs a `ModelListener`.

## Method Details

### stateChanged

public void stateChanged(ChangeEvent e)
Description copied from interface: `ChangeListener`
Invoked when the target of the listener has changed its state.

Specified by:
  `stateChanged` in interface `ChangeListener`
Parameters:
  `e` - a ChangeEvent object